unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  Spin, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    ImA: TImage;
    Label1: TLabel;
    SpinA: TSpinEdit;
    Timer: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure ImADblClick(Sender: TObject);
    procedure SpinAChange(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
  private
    { private declarations }
    isAuf: boolean;
    cycle: integer;
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  Timer.Interval:=SpinA.Value;
  isAuf:=false;
  cycle:=0;
end;

procedure TForm1.ImADblClick(Sender: TObject);
begin
  cycle:=0;
  Timer.enabled:=true;
end;

procedure TForm1.SpinAChange(Sender: TObject);
begin
  Timer.Interval:=SpinA.value;
end;

procedure TForm1.TimerTimer(Sender: TObject);
begin
  if cycle<25 then begin
     if isAuf then begin
        ImA.Picture.loadfromfile('Bilder/AusterZu.ico');
        isAuf:=false;
     end
     else begin
        ImA.Picture.loadfromfile('Bilder/AusterAuf.ico');
        isAuf:=true
     end;
     inc(cycle);
     //Label1.Caption:=inttostr(cycle); // for debugging
  end
  else begin
     Timer.enabled:=false;
     showmessage('HALT STOPP!');
  end;
end;

end.

